Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Halide::Internal::GPUCompilationCache< ContextT, ModuleStateT > Class Template Reference

`#include <gpu_context_common.h>`

## Public Member Functions
HALIDE_MUST_USE_RESULT bool | lookup (ContextT context, void *state_ptr, ModuleStateT &module_state)
template<typename FreeModuleT >
void | release_context (void *user_context, bool all, ContextT context, FreeModuleT &f)
template<typename FreeModuleT >
void | delete_context (void *user_context, ContextT context, FreeModuleT &f)
template<typename FreeModuleT >
void | release_all (void *user_context, FreeModuleT &f)
template<typename CompileModuleT , typename... Args>
HALIDE_MUST_USE_RESULT bool | kernel_state_setup (void *user_context, void **state_ptr_ptr, ContextT context, ModuleStateT &result, CompileModuleT f, Args... args)
void | release_hold (void *user_context, ContextT context, void *state_ptr)

## Detailed Description

template<typename ContextT, typename ModuleStateT>
class Halide::Internal::GPUCompilationCache< ContextT, ModuleStateT >

Definition at line 12 of file gpu_context_common.h.

## Member Function Documentation

## ◆ lookup()

template<typename ContextT , typename ModuleStateT >

HALIDE_MUST_USE_RESULT bool Halide::Internal::GPUCompilationCache< ContextT, ModuleStateT >::lookup | ( | ContextT | context,
|  | void * | state_ptr,
|  | ModuleStateT & | module_state
| ) |  |
| inline

Definition at line 145 of file gpu_context_common.h.

References Halide::cast().

## ◆ release_context()

template<typename ContextT , typename ModuleStateT >
template<typename FreeModuleT >

void Halide::Internal::GPUCompilationCache< ContextT, ModuleStateT >::release_context | ( | void * | user_context,
|  | bool | all,
|  | ContextT | context,
|  | FreeModuleT & | f
| ) |  |
| inline

Definition at line 158 of file gpu_context_common.h.

References user_context.

## ◆ delete_context()

template<typename ContextT , typename ModuleStateT >
template<typename FreeModuleT >

void Halide::Internal::GPUCompilationCache< ContextT, ModuleStateT >::delete_context | ( | void * | user_context,
|  | ContextT | context,
|  | FreeModuleT & | f
| ) |  |
| inline

Definition at line 165 of file gpu_context_common.h.

References user_context.

## ◆ release_all()

template<typename ContextT , typename ModuleStateT >
template<typename FreeModuleT >

void Halide::Internal::GPUCompilationCache< ContextT, ModuleStateT >::release_all | ( | void * | user_context,
|  | FreeModuleT & | f
| ) |  |
| inline

Definition at line 172 of file gpu_context_common.h.

References free(), and user_context.

## ◆ kernel_state_setup()

template<typename ContextT , typename ModuleStateT >
template<typename CompileModuleT , typename... Args>

HALIDE_MUST_USE_RESULT bool Halide::Internal::GPUCompilationCache< ContextT, ModuleStateT >::kernel_state_setup | ( | void * | user_context,
|  | void ** | state_ptr_ptr,
|  | ContextT | context,
|  | ModuleStateT & | result,
|  | CompileModuleT | f,
|  | Args... | args
| ) |  |
| inline

Definition at line 185 of file gpu_context_common.h.

References Halide::cast(), debug, and user_context.

## ◆ release_hold()

template<typename ContextT , typename ModuleStateT >

void Halide::Internal::GPUCompilationCache< ContextT, ModuleStateT >::release_hold | ( | void * | user_context,
|  | ContextT | context,
|  | void * | state_ptr
| ) |  |
| inline

Definition at line 222 of file gpu_context_common.h.

References Halide::cast(), halide_debug_assert, and user_context.

The documentation for this class was generated from the following file:

- src/runtime/gpu_context_common.h